### Method

# FwupdPlugin Device get_instance_str

since: 1.8.15

#### Declaration [src]

    const gchar*
    fu_device_get_instance_str (
      FuDevice* self,
      const gchar* key
    )

#### Description [src]

Looks up an instance ID by a key.

Available since: 1.8.15

#### Parameters

`key`

  Type: `const gchar*`

  A key, e.g. `REV`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The instance key, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.